Name:          libsolv
Version:       0.7.17
Release:       2mamba
Summary:       Library for solving packages and reading repositories
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://en.opensuse.org/openSUSE:Libzypp_satsolver
Source:        https://github.com/openSUSE/libsolv.git/%{version}/libsolv-%{version}.tar.bz2
Patch0:        libsolv-0.6.35-rpm-5.patch
Patch1:        libsolv-0.6.34-rpm-5.2.patch
Patch2:        libsolv-0.6.34-python.patch
Patch3:        libsolv-0.6.34-swig-4.0.0.patch
Patch4:        libsolv-0.7.4-rpm5-5.2-endianess-fix.patch
Patch5:        libsolv-0.7.4-rpm5.2-still-has-array-index.patch
Patch6:        libsolv-0.7.15-x86_64-multiarch-coexistence.patch
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libbzip2-devel
BuildRequires: libdb53-devel
BuildRequires: liblzma-devel
BuildRequires: libperl
BuildRequires: libpython3-devel
BuildRequires: libtcl-devel
BuildRequires: libxml2-devel
BuildRequires: libz-devel
BuildRequires: libzstd-devel
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: librpm-devel >= 4.16.1.2-1mamba
BuildRequires: cmake

%description
Library for solving packages and reading repositories.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package tools
Group:         Applications/Development
Summary:       Utility applications for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains utility applications for %{name}.

%package -n python-libsolv-py3
Group:         System/Libraries/Python
Summary:       Python bindings for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n python-libsolv-py3
This package contains the Python bindings for %{name}.

%debug_package

%prep
%setup -q
#%patch2 -p1
%ifarch x86_64
%patch6 -p1
%endif

%build
%cmake -d build \
	-DENABLE_APPDATA=ON \
	-DENABLE_BZIP2_COMPRESSION=ON \
	-DENABLE_COMPLEX_DEPS=ON \
	-DENABLE_LZMA_COMPRESSION=ON \
	-DENABLE_ZCHUNK_COMPRESSION=ON \
	-DENABLE_RPMDB=ON \
	-DENABLE_RPMDB_BYRPMHEADER=ON \
	-DENABLE_RPMDB_LIBRPM=ON \
	-DENABLE_RPMPKG_LIBRPM=ON \
	-DENABLE_RPMMD=ON \
	-DWITH_LIBXML2=ON \
	-DENABLE_PERL=ON \
	-DENABLE_PYTHON=ON \
	-DENABLE_RUBY=ON \
	-DENABLE_TCL=ON \
	-DENABLE_LZMA_COMPRESSION=ON \
	-DENABLE_BZIP2_COMPRESSION=ON \
	-DENABLE_ZCHUNK_COMPRESSIO=ON \
	-DWITH_SYSTEM_ZCHUNK=ON \
	-DENABLE_PYTHON=OFF \
	-DENABLE_PYTHON3=ON \
	-DPYTHON3_EXECUTABLE=%{__python3} \
	-DUSE_VENDORDIRS=ON

#	-DPYTHON_EXECUTABLE=%{__python27} \

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

cp ext/*.h %{buildroot}%{_includedir}/solv/

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libsolv.so.*
%{_libdir}/libsolvext.so.*
%{perl_vendorarch}/solv.*
%{_libdir}/ruby/vendor_ruby/*/*/solv.so
%{_prefix}/lib/tcl8/*/solv-%{version}.*
%doc LICENSE.BSD CREDITS

%files devel
%defattr(-,root,root)
%dir %{_includedir}/solv
%{_includedir}/solv/*
%{_libdir}/libsolv.so
%{_libdir}/libsolvext.so
%{_libdir}/pkgconfig/libsolv.pc
%{_libdir}/pkgconfig/libsolvext.pc
%{_datadir}/cmake/Modules/FindLibSolv.cmake
%{_mandir}/man3/libsolv-bindings.3*
%{_mandir}/man3/libsolv-constantids.3*
%{_mandir}/man3/libsolv-history.3*
%{_mandir}/man3/libsolv-pool.3*
%{_mandir}/man3/libsolv.3*
%doc NEWS README

%files tools
%defattr(-,root,root)
%{_bindir}/appdata2solv
%{_bindir}/deltainfoxml2solv
%{_bindir}/dumpsolv
%{_bindir}/installcheck
%{_bindir}/mergesolv
%{_bindir}/repo2solv
%{_bindir}/testsolv
%{_bindir}/repomdxml2solv
%{_bindir}/rpmdb2solv
%{_bindir}/rpmmd2solv
%{_bindir}/rpms2solv
%{_bindir}/updateinfoxml2solv
%{_mandir}/man1/appdata2solv.1*
%{_mandir}/man1/deltainfoxml2solv.1*
%{_mandir}/man1/dumpsolv.1*
%{_mandir}/man1/installcheck.1*
%{_mandir}/man1/mergesolv.1*
%{_mandir}/man1/repo2solv.1*
%{_mandir}/man1/solv.1*
%{_mandir}/man1/testsolv.1*
%{_mandir}/man1/repomdxml2solv.1*
%{_mandir}/man1/rpmdb2solv.1*
%{_mandir}/man1/rpmmd2solv.1*
%{_mandir}/man1/rpms2solv.1*
%{_mandir}/man1/updateinfoxml2solv.1*

%files -n python-libsolv-py3
%defattr(-,root,root)
%{python3_sitearch}/_solv.so
%{python3_sitearch}/solv.py

%changelog
* Sun Mar 07 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.17-2mamba
- rebuilt by autoport with build requirements: librpm-devel>=4.16.1.2-1mamba

* Tue Feb 09 2021 Automatic Build System <autodist@mambasoft.it> 0.7.17-1mamba
- automatic version update by autodist

* Sat Nov 28 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.16-1mamba
- update to 0.7.16
- python bindings only for python3 and packaged apart

* Sun Sep 13 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.15-1mamba
- update to 0.7.15
- update x86_64-multiarch-coexistence patch to only resolve supplements of the main arch

* Thu Jan 16 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.10-1mamba
- update to 0.7.10

* Sun Jun 23 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.5-2mamba
- x86_64: added patch to allow cohexistance of packages with same name if from different archs (x86)

* Sat Jun 22 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.5-1mamba
- update to 0.7.5
- rebuilt with rpm 4, removed rpm 5 patches

* Wed Jun 05 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.4-3mamba
- added upstream patch to fix endianess with rpm 5.2

* Tue Jun 04 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.4-2mamba
- rebuilt with ENABLE_RPMMD=ON for fedora like repository (yum)

* Tue Jun 04 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.4-1mamba
- update to 0.7.4

* Tue Jun 04 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6.35-1mamba
- update to 0.6.35

* Sat Jun 01 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6.34-2mamba
- rebuilt with rpm5 patch and build options from pld

* Thu May 17 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6.34-1mamba
- package created using the webbuild interface
